Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Retrieve comprehensive course structure, modules, lessons, slides, and quizzes.
GET /api/v2/course/:id
Authorization: Bearer <jwt_access_token>
id
string
{ "success": true, "data": { "id": "7a3e9c12-3456-4abc-8def-1234567890ab", "title": "Solidity Smart Contract Development", "description": "Master Ethereum & Lisk smart contracts.", "isPremium": false, "totalLessons": 8, "lessons": [ { "id": "9f1e8d7c-6b5a-4321-fedc-ba9876543210", "title": "Lesson 1: Syntax & Data Types", "order": 1, "xpReward": 50, "gemReward": 5, "isCompleted": true, "isLocked": false }, { "id": "8e2d7c6b-5a49-3210-edcb-a98765432109", "title": "Lesson 2: Control Structures & Functions", "order": 2, "xpReward": 50, "gemReward": 5, "isCompleted": false, "isLocked": false } ] } }
GET /api/v2/lesson/:id
{ "success": true, "data": { "id": "9f1e8d7c-6b5a-4321-fedc-ba9876543210", "title": "Lesson 1: Syntax & Data Types", "slides": [ { "id": "slide-uuid-1", "order": 1, "type": "TEXT_WITH_IMAGE", "title": "Variables in Solidity", "content": "Solidity is a statically-typed language...", "mediaUrl": "https://ik.imagekit.io/learnway/slides/var.png" }, { "id": "slide-uuid-2", "order": 2, "type": "QUIZ", "question": { "id": "q-1", "prompt": "Which keyword defines an unsigned integer of 256 bits?", "options": ["uint", "uint256", "int256", "bytes32"], "correctIndex": 1 } } ] } }